import React from 'react'
import styled from 'styled-components'

// import './aviso-legal.scss'

const AvisoLegal = styled.div`
  @extend %page;
  text-align: justify;
`

const AvisoLegalPage = () => (
  <AvisoLegal>
    <h2>CONDICIONES GENERALES DE USO</h2>
    <p>El presente sitio web (en adelante, el “Sitio Web”) es
    propiedad de www.santacc.es (en adelante, el “Titular”), con domicilio social en la calle Torpedero Tucumán, 29
    Bajo Dcha. 28016 Madrid y C.I.F nº B-83899070. El Titular le da la bienvenida y le invita a leer atentamente las
    Condiciones Generales de Uso de este Sito Web (en adelante, las “Condiciones Generales de Uso”) que describen
    los términos y condiciones que serán aplicables a su navegación por el mismo, de conformidad con lo establecido
    en la normativa española de aplicación. Dado que el Titular podría modificar en el futuro estas Condiciones de
    Uso, le recomendamos que las visite periódicamente para estar debidamente informado de los cambios
    realizados.</p><p>Con el ánimo de que el uso del Sitio Web se ajuste a criterios de transparencia, claridad y
    sencillez, el Titular informa al Usuario que cualquier sugerencia, duda o consulta sobre las Condiciones
    Generales de Uso será recibida y solucionada contactando con el Titular a través del tfno. 91 353 39 54 o en la
    dirección de correo electrónico desarrolloweb@santacc.es.</p>
    <ol type="1">
      <li><h3>Objeto</h3>
        <p>El Titular suministra el contenido y los servicios que están disponibles en
        el Sitio Web, con sujeción a las presentes Condiciones Generales de Uso. El acceso a este Sitio Web o su
        utilización en cualquier forma le otorga la calificación de “Usuario” e implica la aceptación sin reservas
        de todas y cada una de las presentes Condiciones Generales de Uso, reservándose el Titular el derecho a
        modificarlos en cualquier momento. En consecuencia, será responsabilidad de todo Usuario, la atenta lectura
        de las Condiciones Generales de Uso vigente en cada una de las ocasiones en que acceda a este Sitio Web, por
        lo que si éste no está de acuerdo con cualquiera de los mismos aquí dispuestos, deberá abstenerse respecto
        al uso del presente Sitio Web.</p>
        <p>Asimismo, queda advertido de que, en ocasiones, se podrán establecer
        condiciones particulares para la utilización en el Sitio Web de contenidos y/o servicios específicos, la
        utilización de dichos contenidos o servicios implicará la aceptación de las condiciones particulares en
        ellos especificadas.</p></li>
      <li><h3>Servicios</h3>
        <p>A través del Sitio Web, el Titular ofrece a los Usuarios la posibilidad
        de acceder a: los servicios ofrecidos a través del Sitio Web (en adelante los “Servicios”).</p></li>
      <li><h3>Propiedad Industrial e Intelectual</h3>
        <p>El Usuario reconoce y acepta que todos los
        contenidos que se muestran en el Sitio Web y en especial, diseños, textos, imágenes, logos, iconos, botones,
        software, nombres comerciales, marcas, o cualesquiera otros signos susceptibles de utilización industrial
        y/o comercial están sujetos a derechos de Propiedad Intelectual y todas las marcas, nombres comerciales o
        signos distintivos, todos los derechos de propiedad industrial e intelectual, sobre los contenidos y/o
        cualesquiera otros elementos insertados en el página, que son propiedad exclusiva de el Titular y/o de
        terceros, quienes tienen el derecho exclusivo de utilizarlos en el tráfico económico. Por todo ello el
        Usuario se compromete a no reproducir, copiar, distribuir, poner a disposición o de cualquier otra forma
        comunicar públicamente, transformar o modificar tales contenidos manteniendo indemne al Titular de cualquier
        reclamación que se derive del incumplimiento de tales obligaciones. En ningún caso el acceso al Sitio Web
        implica ningún tipo de renuncia, transmisión, licencia o cesión total ni parcial de dichos derechos, salvo
        que se establezca expresamente lo contrario. Las presentes Condiciones Generales de Uso del Sitio Web no
        confieren a los Usuarios ningún otro derecho de utilización, alteración, explotación, reproducción,
        distribución o comunicación pública del Sitio Web y/o de sus Contenidos distintos de los aquí expresamente
        previstos. Cualquier otro uso o explotación de cualesquiera derechos estará sujeto a la previa y expresa
        autorización específicamente otorgada a tal efecto por el Titular o el tercero titular de los derechos
        afectados.</p>
        <p>Los contenidos, textos, fotografías, diseños, logotipos, imágenes, programas de ordenador,
        códigos fuente y, en general, cualquier creación intelectual existente en este sitio, así como el propio
        sitio en su conjunto, como obra artística multimedia, están protegidos como derechos de autor por la
        legislación en materia de propiedad intelectual. El Titular es titular de los elementos que integran el
        diseño gráfico del Sitio Web, lo menús, botones de navegación, el código HTML, los textos, imágenes,
        texturas, gráficos y cualquier otro contenido del Sitio Web o, en cualquier caso dispone de la
        correspondiente autorización para la utilización de dichos elementos. El contenido dispuesto en el Sitio Web
        no podrá ser reproducido ni en todo ni en parte, ni transmitido, ni registrado por ningún sistema de
        recuperación de información, en ninguna forma ni en ningún medio, a menos que se cuente con la autorización
        previa, por escrito, de la citada Entidad.</p>
        <p>Asimismo queda prohibido suprimir, eludir y/o manipular el
        "copyright" así como los dispositivos técnicos de protección, o cualesquiera mecanismos de información que
        pudieren contener los contenidos. El Usuario de este Sitio Web se compromete a respetar los derechos
        enunciados y a evitar cualquier actuación que pudiera perjudicarlos, reservándose en todo caso el Titular el
        ejercicio de cuantos medios o acciones legales le correspondan en defensa de sus legítimos derechos de
        propiedad intelectual e industrial.</p></li>
      <li><h3>Obligaciones y Responsabilidades del Usuario del Sitio Web</h3>
        <p>El Usuario se compromete a:</p>
        <ol type="a">
          <li><p>Hacer un uso adecuado y lícito del Sitio Web así como de los contenidos y servicios, de conformidad
            con: i la legislación aplicable en cada momento; (ii) las Condiciones Generales de Uso del Sitio Web;
            (iii) la moral y buenas costumbres generalmente aceptadas y (iv) el orden público.</p></li>
          <li><p>Proveerse de todos los medios y requerimientos técnicos que se precisen para acceder al Sitio
            Web.</p></li>
        </ol>
        <p>No obstante lo establecido en el apartado anterior el Usuario deberá asimismo abstenerse de:</p>
        <ol type="a">
          <li><p>Hacer un uso no autorizado o fraudulento del Sitio Web y/o de los contenidos con fines o efectos
            ilícitos, prohibidos en las presentes Condiciones Generales de Uso, lesivos de los derechos e intereses
            de terceros, o que de cualquier forma puedan dañar, inutilizar, sobrecargar, deteriorar o impedir la
            normal utilización de los servicios o los documentos, archivos y toda clase de contenidos almacenados en
            cualquier equipo informático.</p></li>
          <li><p>Acceder o intentar acceder a recursos o áreas restringidas del Sitio Web, sin cumplir las
            condiciones exigidas para dicho acceso.</p></li>
          <li><p>Provocar daños en los sistemas físicos o lógicos del Sitio Web, de sus proveedores o de
            terceros.</p></li>
          <li><p>Introducir o difundir en la red virus informáticos o cualesquiera otros sistemas físicos o lógicos
            que sean susceptibles de provocar daños en los sistemas físicos o lógicos del Titular, de sus
            proveedores o de terceros.</p></li>
          <li><p>Intentar acceder, utilizar y/o manipular los datos del Titular, terceros proveedores y otros
            Usuarios.</p></li>
          <li><p>Reproducir o copiar, distribuir, permitir el acceso del público a través de cualquier modalidad de
            comunicación pública, transformar o modificar los contenidos, a menos que se cuente con la autorización
            del titular de los correspondientes derechos o ello resulte legalmente permitido.</p></li>
          <li><p>Suprimir, ocultar o manipular las notas sobre derechos de propiedad intelectual o industrial y
            demás datos identificativos de los derechos del Titular o de terceros incorporados a los contenidos, así
            como los dispositivos técnicos de protección o cualesquiera mecanismos de información que puedan
            insertarse en los contenidos.</p></li>
          <li><p>Obtener e intentar obtener los contenidos empleando para ello medios o procedimientos distintos de
            los que, según los casos, se hayan puesto a su disposición a este efecto o se hayan indicado
            expresamente en las páginas web donde se encuentren los contenidos o, en general, de los que se empleen
            habitualmente en Internet por no entrañar un riesgo de daño o inutilización del sitio web y/o de los
            contenidos.</p></li>
          <li><p>En particular, y a título meramente indicativo y no exhaustivo, el Usuario se compromete a no
            transmitir, difundir o poner a disposición de terceros informaciones, datos, contenidos, mensajes,
            gráficos, dibujos, archivos de sonido y/o imagen, fotografías, grabaciones, software y, en general,
            cualquier clase de material que:</p>
            <ol type="i">
              <li><p>De cualquier forma sea contrario, menosprecie o atente contra los derechos fundamentales y las
                libertades públicas reconocidas constitucionalmente, en los Tratados Internacionales y en el resto
                de la legislación vigente.</p></li>
              <li><p>Induzca, incite o promueva actuaciones delictivas, denigratorias, difamatorias, violentas o, en
                general, contrarias a la ley, a la moral, a las buenas costumbres generalmente aceptadas o al orden
                público.</p></li>
              <li><p>Induzca, incite o promueva actuaciones, actitudes o pensamientos discriminatorios por razón de
                sexo, raza, religión, creencias, edad o condición.</p></li>
              <li><p>Incorpore, ponga a disposición o permita acceder a productos, elementos, mensajes y/o servicios
                delictivos, violentos, ofensivos, nocivos, degradantes o, en general, contrarios a la ley, a la
                moral y a las buenas costumbres generalmente aceptadas o al orden público.</p></li>
              <li><p>Induzca o pueda inducir a un estado inaceptable de ansiedad o temor.</p></li>
              <li><p>Induzca o incite a involucrarse en prácticas peligrosas, de riesgo o nocivas para la salud y el
                equilibrio psíquico.</p></li>
              <li><p>Se encuentra protegido por la legislación en materia de protección intelectual o industrial
                perteneciente al Titular o a terceros sin que haya sido autorizado el uso que se pretenda
                realizar.</p></li>
              <li><p>Sea contrario al honor, a la intimidad personal y familiar o a la propia imagen de las
                personas.</p></li>
              <li><p>Constituya cualquier tipo de publicidad.</p></li>
              <li><p>Incluya cualquier tipo de virus o programa que impida el normal funcionamiento del Sitio
                Web.</p></li>
            </ol>
          </li>
        </ol>
        <p>Si de manera negligente o dolosa incumpliera cualquiera de las obligaciones establecidas en las presentes
          Condiciones Generales de Uso, responderá por todos los daños y perjuicios que de dicho incumplimiento
          pudieran derivarse para el Titular.</p></li>
      <li><h3>Responsabilidades</h3>
        <p>El Titular no garantiza el acceso continuado, ni la correcta
        visualización, descarga o utilidad de los elementos e informaciones contenidas en las páginas el Titular,
        que pueden verse impedidos, dificultados o interrumpidos por factores o circunstancias que están fuera de su
        control.</p>
        <p>El Titular no se hace responsable de las decisiones que pudieran adoptarse como consecuencia
        del acceso a los contenidos o informaciones ofrecidas.</p>
        <p>El Titular podrá interrumpir el servicio o resolver de modo inmediato la relación con el Usuario si detecta que un uso de su Sitio Web o de cualquiera
        de los servicios ofertados en el mismo son contrarios a las presentes Condiciones Generales de Uso.</p>
        <p>El Titular no se hace responsable por daños, perjuicios, pérdidas, reclamaciones o gastos derivados del uso del
        Sitio Web. Únicamente será responsable de eliminar, lo antes posible, los contenidos que puedan generar
        tales perjuicios, siempre que así se notifique. En especial no será responsable de los perjuicios que se
        pudieran derivar, entre otros, de:</p>
        <ol type="i">
          <li><p>interferencias, interrupciones, fallos, omisiones, averías telefónicas, retrasos, bloqueos o
            desconexiones en el funcionamiento del sistema electrónico, motivadas por deficiencias, sobrecargas y
            errores en las líneas y redes de telecomunicaciones, o por cualquier otra causa ajena al control del
            Titular.</p></li>
          <li><p>intromisiones ilegítimas mediante el uso de programas malignos de cualquier tipo y a través de
            cualquier medio de comunicación, tales como virus informáticos o cualesquiera otros.</p></li>
          <li><p>abuso indebido o inadecuado del Sitio Web.</p></li>
          <li><p>errores de seguridad o navegación producidos por un mal funcionamiento del navegador o por el uso
            de versiones no actualizadas del mismo. Los administradores del Titular se reservan el derecho de
            retirar, total o parcialmente, cualquier contenido o información presente en el Sitio Web.</p></li>
        </ol>
        <p>Usted defenderá, indemnizará y mantendrá al Titular indemne frente a cualesquiera daños y perjuicios que
          se deriven de reclamaciones, acciones o demandas de terceros como consecuencia de su acceso o uso del
          Sitio Web. Asimismo, usted se obliga a indemnizar al Titular frente a cualesquiera daños y perjuicios, que
          se deriven del uso por su parte de “robots”, “spiders”, “crawlers” o herramientas similares empleadas con
          el fin de recabar o extraer datos o de cualquier otra actuación por su parte que imponga una carga
          irrazonable sobre el funcionamiento del Sitio Web.</p></li>
      <li><h3>Hipervínculos</h3>
        <p>El Usuario se obliga a no reproducir de ningún modo, ni siquiera
        mediante un hiperenlace o hipervínculo, el Sitio Web del Titular, así como ninguno de sus contenidos, salvo
        autorización expresa y por escrito del Titular.</p>
        <p>El Sitio Web del Titular incluye enlaces a otras
        sitios web gestionados por terceros, con objeto de facilitar el acceso del Usuario a la información de
        empresas colaboradoras y/o patrocinadoras. Conforme con ello, el Titular no se responsabiliza del contenido
        de dichos sitios web, ni se sitúa en una posición de garante ni/o de parte ofertante de los servicios y/o
        información que se puedan ofrecer a terceros a través de los enlaces de terceros.</p>
        <p>Se concede al
        Usuario un derecho limitado, revocable y no exclusivo a crear enlaces a la página principal del Sitio Web
        exclusivamente para uso privado y no comercial. Los sitios web que incluyan enlace a nuestro Sitio Web i no
        podrán dar a entender que el Titular recomienda ese sitio web o sus servicios o productos; (ii) no podrán
        falsear su relación con el Titular ni afirmar que el Titular ha autorizado tal enlace, ni incluir marcas,
        denominaciones, nombres comerciales, logotipos u otros signos distintivos del Titular; (iii) no podrán
        incluir contenidos que puedan considerarse de mal gusto, obscenos, ofensivos, controvertidos, que inciten a
        la violencia o la discriminación por razón de sexo, raza o religión, contrarios al orden público o ilícitos;
        (iv) no podrán enlazar a ninguna página del Sitio Web distinta de la página principal; (v) deberá enlazar
        con la propia dirección del Sitio Web, sin permitir que el sitio web que realice el enlace reproduzca el
        Sitio Web como parte de su web o dentro de uno de sus “frames” o crear un “browser” sobre cualquiera de las
        páginas del Sitio Web. El Titular podrá solicitar, en cualquier momento, que elimine cualquier enlace al
        Sitio Web, después de lo cual deberá proceder de inmediato a su eliminación. El Titular no puede controlar
        la información, contenidos, productos o servicios facilitados por otros sitios web que tengan establecidos
        enlaces con destino al Sitio Web.</p>
        <p>En consecuencia, el Titular no asume ningún tipo de responsabilidad
        por cualquier aspecto relativo a tales sitios web.</p></li>
      <li><h3>Cookies</h3>
        <p>El Titular se reserva el derecho de utilizar la tecnología “cookie” en el
        Sitio Web, a fin de reconocerlo como Usuario frecuente y personalizar el uso que realice del Sitio Web
        mediante la preselección de su idioma, o contenidos más deseados o específicos. Las “cookies” utilizadas por
        el Sitio Web, o el tercero que actúe en su nombre, se asocian únicamente con un usuario anónimo y su
        ordenador, y no proporcionan por sí los datos personales del usuario.</p>
        <p>Las cookies son ficheros
        enviados a un navegador por medio de un servidor Web para registrar la navegación del Usuario en el Sitio
        Web, cuando el Usuario permita su recepción. A su vez podrá eliminar las “cookies” para lo cual deberá
        consultar las instrucciones de uso de su navegador.</p>
        <p>Gracias a las cookies, resulta posible que el
        Titular reconozca el navegador del ordenador utilizado por el Usuario con la finalidad de facilitar
        contenidos y ofrecer las preferencias de navegación u publicitarias que el Usuario, a los perfiles
        demográficos de los Usuarios así como para medir las visitas y parámetros del tráfico, controlar el progreso
        y número de entradas.</p></li>
      <li><h3>Duración y terminación</h3>
        <p>La prestación del servicio del presente Sitio Web y los
        demás servicios tienen en principio una duración indefinida. No obstante, el Titular podrá dar por terminada
        o suspender cualquiera de los servicios del portal. Cuando sea ello posible, el Titular anunciará la
        terminación o suspensión de la prestación del servicio determinado.</p></li>
      <li><h3>Declaraciones y Garantías</h3>
        <p>En general, los contenidos y servicios ofrecidos en el
        Sitio Web tienen carácter meramente informativo. Por consiguiente, al ofrecerlos, el Titular no otorga
        garantía ni declaración alguna en relación con los contenidos y servicios ofrecidos en el Sitio web,
        incluyendo, a título enunciativo, garantías de licitud, fiabilidad, utilidad, veracidad, exactitud, o
        comerciabilidad, salvo en la medida en que por ley no puedan excluirse tales declaraciones y garantías.</p>
      </li>
      <li><h3>Fuerza mayor</h3>
        <p>El Titular no será responsable en todo en caso de imposibilidad de
        prestar servicio, si ésta se debe a interrupciones prolongadas del suministro eléctrico, líneas de
        telecomunicaciones, conflictos sociales, huelgas, rebelión, explosiones, inundaciones, actos y omisiones del
        Gobierno, y en general todos los supuestos de fuerza mayor o de caso fortuito.</p></li>
      <li><h3>Resolución de controversias. Ley aplicable y jurisdicción</h3>
        <p>Las presentes Condiciones
        Generales de Uso, así como el uso del Sitio Web, se regirán por la legislación española. Cualquier
        controversia será resuelta ante los tribunales del Titular.</p>
        <p>En el supuesto de que cualquier
        estipulación de las presentes Condiciones Generales de Uso resultara inexigible o nula en virtud de la
        legislación aplicable o como consecuencia de una resolución judicial o administrativa, dicha inexigibilidad
        o nulidad no hará que las presentes Condiciones Generales de Uso resulten inexigibles o nulas en su
        conjunto. En dichos casos, el Titular procederá a la modificación o sustitución de dicha estipulación por
        otra que sea válida y exigible y que, en la medida de lo posible, consiga el objetivo y pretensión
        reflejados en la estipulación original.</p>
      </li>
    </ol>
  </AvisoLegal>
)

export default AvisoLegalPage
